# MxStatusCategory Enumeration

Namespace: `ArchestrA.Toolkit`

**Syntax**

```csharp
enum MxStatusCategory
{
MxStatusCategoryUnknown = -1,
MxCategoryOk = 0,
MxCategoryPending = 1,
MxCategoryWarning = 2,
MxCategoryCommunicationError = 3,
MxCategoryConfigurationError = 4,
MxCategoryOperationalError = 5,
MxCategorySecurityError = 6,
MxCategorySoftwareError = 7,
MxCategoryOtherError = 8,
}
```

**Remarks**

Indicates a category of success or error for a Message Exchange call. Used in the Set handler context for objects. Return MxCategoryOk if the set succeeded. Objects may also return MxCategoryWarning when the set completed with a warning. For errors, MxCategoryOperationalError is used to indicate an invalid operation was attempted. MxCategoryConfigurationError is used to indicate the object is not configured to support the set requested.
